#!/bin/awk -f

# printfields.awk: Iterates through all fields on each line and prints
# them.  Demonstrates loop syntax. Run on any file such as
# 'gettysburg.txt' via

# > awk -f printfields.awk gettysburg.txt

# to print each word on each line.  One important trick is to change
# the 'Field Separator' awk uses to separate each word/field on a
# line.  This makes the script applicable to other file formats. For
# example, run this script on a CSV (comma separated value) file
# associated with spreadsheets by passing "-F ," to separate fields on
# commas. A suitable example is

# > awk -F , -f printfields.awk grades.csv

{                                       # no pattern so action applies to every line
  for(i=1; i<=NF; i++){                 # c-like loop syntax, NF is the "number of fields" on a line
    print "Line",NR,"Field",i,":",$i;   # prints line #, i, and ith word
  }
}
